TR(1)

NAZWA
tr - zamienia lub usuwa znaki

SKŁADNIA
tr [OPTION]... STRING1 [STRING2]

OPIS

Translate, squeeze, and/or delete characters from standard input, writing to standard output. STRING1 and STRING2 specify arrays of characters ARRAY1 and ARRAY2 that control the action.

-c, -C, --complement
    use the complement of ARRAY1

-d, --delete
    delete characters in ARRAY1, do not translate

-s, --squeeze-repeats
    replace each sequence of a repeated character that is listed in the last specified ARRAY, with a single occurrence of that character

-t, --truncate-set1
    first truncate ARRAY1 to length of ARRAY2

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

ARRAYs are specified as strings of characters. Most represent themselves. Interpreted sequences are:

\NNN
    znak o wartości ósemkowej NNN (1 do 3 cyfr ósemkowych)

\\  odwrotny ukośnik

\a  dzwonek, alarm (BEL)

\b  backspace

\f  wysuw strony

\n  znak nowego wiersza

\r  powrót karetki

\t  tabulacja pozioma

\v  tabulacja pionowa

ZNAK1-ZNAK2
    wszystkie znaki od ZNAKU1 do ZNAKU2 w kolejności rosnącej

[ZNAK*]
    in ARRAY2, copies of CHAR until length of ARRAY1

[ZNAK*LICZBA-POWTÓRZEŃ]
    kopiuje ZNAK LICZBĘ-POWTÓRZEŃ razy (w notacji ósemkowej, licząc od zera)

[:alnum:]
    wszystkie litery i cyfry

[:alpha:]
    wszystkie litery

[:blank:]
    wszystkie odstępy poziome (tzw. białe znaki)

[:cntrl:]
    wszystkie znaki sterujące

[:digit:]
    wszystkie cyfry

[:graph:]
    wszystkie znaki drukowalne, z wyłączeniem spacji

[:lower:]
    wszystkie małe litery

[:print:]
    wszystkie znaki drukowalne, łącznie ze spacją

[:punct:]
    wszystkie znaki interpunkcyjne

[:space:]
    wszystkie odstępy poziome lub pionowe (tzw. białe znaki)

[:upper:]
    wszystkie wielkie litery

[:xdigit:]
    wszystkie cyfry szesnastkowe

[=ZNAK=]
    wszystkie znaki, które są równoważne ZNAKOWI

Translation occurs if -d is not given and both STRING1 and STRING2 appear. -t is only significant when translating. ARRAY2 is extended to length of ARRAY1 by repeating its last character as necessary. Excess characters of ARRAY2 are ignored. Character classes expand in unspecified order; while translating, [:lower:] and [:upper:] may be used in pairs to specify case conversion. Squeezing occurs after translation or deletion.

BŁĘDY

Full support is available only for safe single-byte locales, in which every possible input byte represents a single character. The C locale is safe in GNU systems, so you can avoid this issue in the shell by running LC_ALL=C tr instead of plain tr.

AUTOR
Napisane przez Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/tr>
lub lokalnie, za pomocą info '(coreutils) tr invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.